<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="@color/white"
    android:orientation="vertical">

    <TextView
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_gravity="center"
        android:layout_marginTop="99dp"
        android:text="欢迎入驻生活圈商家版"
        android:textColor="#333333"
        android:textSize="28sp" />

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="60dp"
        android:layout_marginStart="40dp"
        android:layout_marginTop="10dp"
        android:layout_marginEnd="40dp"
        android:gravity="center_vertical"
        android:orientation="horizontal">

        <TextView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:text="手机号"
            android:textColor="#333333"
            android:textSize="16sp" />

        <EditText
            android:id="@+id/et_mobileNo"
            android:layout_width="0dp"
            android:layout_height="match_parent"
            android:layout_marginStart="17dp"
            android:layout_weight="1"
            android:background="@null"
            android:hint="请输入"
            android:inputType="number"
            android:maxLength="13"
            android:textColor="#333333"
            android:textCursorDrawable="@drawable/shape_bg_input_cursor"
            android:textSize="16sp"
            android:textStyle="bold"
            tools:ignore="TextFields" />

        <ImageView
            android:id="@+id/iv_clear_mobile"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:padding="@dimen/dp10"
            android:src="@drawable/bcommon_icon_clear"
            android:visibility="gone" />

    </LinearLayout>

    <View
        android:id="@+id/view_divider_mobile"
        android:layout_width="match_parent"
        android:layout_height="0.5dp"
        android:layout_marginStart="40dp"
        android:layout_marginEnd="40dp"
        android:background="#f2f2f2" />

    <RelativeLayout
        android:layout_width="match_parent"
        android:layout_height="60dp"
        android:layout_marginStart="40dp"
        android:layout_marginEnd="40dp">

        <TextView
            android:id="@+id/tv_codeShow"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_centerVertical="true"
            android:text="验证码"
            android:textColor="#333333"
            android:textSize="16sp" />

        <TextView
            android:id="@+id/tv_getCode"
            android:layout_width="100dp"
            android:layout_height="wrap_content"
            android:layout_alignParentEnd="true"
            android:layout_centerVertical="true"
            android:gravity="end"
            android:text="获取验证码"
            android:textColor="#1852f1"
            android:textSize="14sp" />

        <EditText
            android:id="@+id/et_code"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:layout_marginStart="17dp"
            android:layout_marginEnd="20dp"
            android:layout_toStartOf="@id/tv_getCode"
            android:layout_toEndOf="@id/tv_codeShow"
            android:background="@null"
            android:gravity="center_vertical"
            android:hint="请输入"
            android:inputType="number"
            android:maxLength="6"
            android:textColor="#333333"
            android:textCursorDrawable="@drawable/shape_bg_input_cursor"
            android:textSize="16sp"
            android:textStyle="bold"
            tools:ignore="TextFields" />

    </RelativeLayout>

    <View
        android:id="@+id/view_divider_password"
        android:layout_width="match_parent"
        android:layout_height="0.5dp"
        android:layout_marginStart="40dp"
        android:layout_marginEnd="40dp"
        android:background="#f2f2f2" />


    <TextView
        android:id="@+id/tv_login"
        android:layout_width="match_parent"
        android:layout_height="44dp"
        android:layout_marginStart="40dp"
        android:layout_marginTop="20dp"
        android:layout_marginEnd="40dp"
        android:background="@drawable/account_btn_gradient_bg"
        android:gravity="center"
        android:text="登   录"
        android:textColor="@color/white"
        android:textSize="18sp" />

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_marginTop="20dp"
        android:gravity="center"
        android:orientation="horizontal">

        <CheckBox
            android:id="@+id/cb_protocol"
            style="@style/protocol_checkboxBg"
            android:layout_width="25dp"
            android:layout_height="23dp" />

        <TextView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginStart="8dp"
            android:text="我同意"
            android:textColor="#999999"
            android:textSize="14sp" />

        <TextView
            android:id="@+id/tv_protocol"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:text="《用户协议》"
            android:textColor="#1852f1"
            android:textSize="14sp" />

        <TextView
            android:id="@+id/tv_privacy"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:text="《隐私政策》"
            android:textColor="#1852f1"
            android:textSize="14sp" />

    </LinearLayout>

</LinearLayout>